<?php

global $wpdb, $table_prefix;
$wp_block = $table_prefix.'payment_request';

$q = $wpdb->prepare("SELECT * FROM $wp_block WHERE status =  %s","BLOCK");
$results = $wpdb->get_results($q);


ob_start()
?>
<h1 class="custome-heading">Blocked Users</h1>
<p>List of ip address who tried 5 times or more in last 12 hours and we blocked them, they will able to make payment after 12 hours and remove from here automatically when they will try next payment after 12 hours.</p>
<div class="block-table-container">
    <table>
        <thead>
            <tr>
                <th>ID</th>
                <th>Request IP</th>
                <th>Time</th>
                <th>Status</th>
                <th>Attempt</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <?php
            foreach ($results as $r) :
            ?>
                <tr>
                    <td><?php echo $r->ID; ?></td>
                    <td><?php echo $r->requestIP; ?></td>
                    <td><?php echo date_format(date_create($r->time),"d/m/Y H:i:s A"); ?></td>
                    <td><?php echo $r->status; ?></td>
                    <td><?php echo $r->attempt; ?></td>
                    <td><button class="delete-btn" type="button" data-id="<?= $r->ID; ?>">Delete</button></td>
                </tr>
            <?php
            endforeach;
            ?>
            <?php
            if (count($results) == 0) {
            ?>
                <tr>
                    <td colspan="6">No records found</td>
                </tr>
            <?php
            }
            ?>

        </tbody>
    </table>
</div>
<?php
echo ob_get_clean();
?>

<script>
    const allCustomButtons = document.getElementsByClassName("delete-btn");
    if (allCustomButtons) {
        for (let index = 0; index < allCustomButtons.length; index++) {
            const element = allCustomButtons[index];
            element.onclick = ((e) => {
                jQuery.post("admin-ajax.php", {
                    action: "delete_block",
                    id: e.target.getAttribute("data-id"),
                }, function(response) {
                    location.reload();
                });
            })
        }
    }
</script>