<?php

use Automattic\WooCommerce\Blocks\Payments\Integrations\AbstractPaymentMethodType;

final class MxMerchant_Gateway_Blocks extends AbstractPaymentMethodType {

    private $gateway;
    protected $name = 'mxmerchant_gateway';

    public function initialize() {
        $this->settings = get_option( 'woocommerce_mxmerchant_gateway_settings', [] );
        $this->gateway = new MxMerchant_Gateway();
    }

    public function is_active() {
        return $this->gateway->is_available();
    }

    public function get_payment_method_script_handles() {

        wp_register_script(
            'mxmerchant_gateway-blocks-integration',
            plugin_dir_url(__FILE__) . 'woocommerce-mxmerchant-checkout.js',
            [
                'wc-blocks-registry',
                'wc-settings',
                'wp-element',
                'wp-html-entities',
                'wp-i18n',
            ],
            null,
            true
        );
        if( function_exists( 'wp_set_script_translations' ) ) {            
            wp_set_script_translations( 'mxmerchant_gateway-blocks-integration');
            
        }
        return [ 'mxmerchant_gateway-blocks-integration' ];
    }

    public function get_payment_method_data() {
        return [
            'title' => $this->gateway->title,
            'description' => $this->gateway->description,
            'id' => $this->gateway->id,
            'method_powered_by' => $this->gateway->method_powered_by,
            'icon' => $this->gateway->icon
        ];
    }

}
?>